Bug 978608

Summary: Cannot load kvm_amd module - (says disabled by bios), but svm exposed by the hardware/enabled in bios
Product: [Fedora] Fedora Reporter: George Machitidze <giomac>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: berrange, clalancette, collura, ehabkost, extras-orphan, gansalmon, giomac, itamar, jonathan, kchamart, kernel-maint, madhu.chinakonda, markmc, mattdm, maxadamo, notting, quintela, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-27 11:03:27 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description George Machitidze 2013-06-26 18:57:22 EDT
Description of problem:
Despite exposed flags and SVM enabled in the BIOS - module won't load. Works flawlessly in Virtualbox.

vendor_id       : AuthenticAMD
cpu family      : 20
model           : 2
model name      : AMD E-350D APU with Radeon(tm) HD Graphics
stepping        : 0
microcode       : 0x500010d

Flags: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall mmxext fxsr_opt pdpe1gb rdtscp lm constant_tsc rep_good nopl nonstop_tsc extd_apicid aperfmperf pni monitor ssse3 cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch ibs skinit wdt arat hw_pstate npt lbrv svm_lock nrip_save pausefilter

Hardware: AMD APU E350, M/B Gigabyte E350N Win8, F3 BIOS

Version-Release number of selected component (if applicable):
Kernels 3.6.10-4.fc18.x86_64 (release), 3.9.6-200.fc18.x86_64 (latest)

How reproducible:
For my HW - always

Steps to Reproduce:
1. Enable SVM in BIOS
2. Install Fedora 18
3. modprobe kvm_amd

Actual results:
[root@localhost ~]# modprobe kvm_amd
modprobe: ERROR: could not insert 'kvm_amd': Operation not supported
[root@localhost ~]# dmesg|tail -n1
[ 1611.001914] kvm: disabled by bios

Additional info:
AMD-V available in Virtualbox
Comment 1 Massimiliano Adamo 2013-07-14 07:10:25 EDT
I confirm that this issue arises even with kernels 3.8.0-27 and 3.10 (tryied on Ubuntu): dmesg shows the message "kvm: disabled by bios"
I don't know if Red Hat has the 'kvm-ok' executable, BTW in Ubuntu it says that the machine is capable of running KVM, but KVM is disable. This is the output:

# kvm-ok 
INFO: /dev/kvm does not exist
HINT:   sudo modprobe kvm_amd
INFO: Your CPU supports KVM extensions
INFO: KVM (svm) is disabled by your BIOS
HINT: Enter your BIOS setup and enable Virtualization Technology (VT),
      and then hard poweroff/poweron your system
KVM acceleration can NOT be used
Comment 2 Kashyap Chamarthy 2013-07-15 06:19:47 EDT
On Fedora based systems, you can run

$ virt-host-validate 
  QEMU: Checking for hardware virtualization                                 : PASS
  QEMU: Checking for device /dev/kvm                                         : PASS
  QEMU: Checking for device /dev/vhost-net                                   : PASS
  QEMU: Checking for device /dev/net/tun                                     : PASS
   LXC: Checking for Linux >= 2.6.26                                         : PASS


(NOTE: 'libvirt-client' package provide the above tool.)
Comment 3 George Machitidze 2013-07-24 09:54:48 EDT
FYI: we've got pretty heavy email traffic regarding this issue, will update as soon as will confirm the problem.
Comment 4 Justin M. Forbes 2013-10-18 17:13:46 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2013-11-27 11:03:27 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 6 George Machitidze 2016-12-05 10:57:24 EST
No HW available for testing - cannot reproduce